function [pi_n, tau_n] = inh_pi_tau_phase( n, theta, P0 )
%inh_pi_tau_n returns a 2-vector with pi_n and tau_n
tau_n = 0;
pi_n = -0.5*n*P0_array(P0, n - 1, 0)*P0_array(P0, n, 1)*ones(size(theta));
for m=1:n
  cos_m_theta = cos(m*theta);
  pow_minus1_m = 1- 2*mod(m, 2.0); %(-1)^m;
  if(m < n)
    pi_n = pi_n + pow_minus1_m*(m - n)*P0_array(P0, n - 1.0, -m)*P0_array(P0, n, m + 1.0)*cos_m_theta;
  end
  tau_n = tau_n + pow_minus1_m*m*m*P0_array(P0, n, -m)*P0_array(P0, n, m)*cos_m_theta;
end
pi_n = 2*pi_n;
tau_n = 2*tau_n;
end

